Subject: AIX 4, gcc 2.7.2 can't build

From: Nelson Simoes <[email-masked]>
Date: Mon, 25 Mar 1996 20:00:28 -0300 (EST)

Hi,
 
  Does someone know what I have missed here? I can't compile ftpd
  when build aix, with gcc in AIX 4. Thank you in advance for your
  help!
 
  -- Nelson  <[email-masked]>

-----------------------------(build start)-------------------------------
 
# ./build aix 
make args are : 
make opts are : 
 
Linking Makefiles.
 
Making support library.
        gcc -O -DDEBUG   -c getusershell.c
        gcc -O -DDEBUG   -c fnmatch.c
        gcc -O -DDEBUG   -c strcasestr.c
        gcc -O -DDEBUG   -c strsep.c
        gcc -O -DDEBUG   -c authuser.c
In file included from authuser.c:7:
/usr/include/arpa/inet.h:76: warning: `struct in_addr' declared inside parametet
/usr/include/arpa/inet.h:76: warning: its scope is only this definition or decl,
/usr/include/arpa/inet.h:76: warning: which is probably not what you want.
/usr/include/arpa/inet.h:77: warning: `struct in_addr' declared inside parametet
/usr/include/arpa/inet.h:77: warning: parameter has incomplete type
/usr/include/arpa/inet.h:79: warning: parameter has incomplete type
/usr/include/arpa/inet.h:81: warning: parameter has incomplete type
        gcc -O -DDEBUG   -c strdup.c
        rm -f libsupport.a
        ar cq libsupport.a getusershell.o fnmatch.o strcasestr.o strsep.o  autho
        ranlib libsupport.a
 
Making ftpd.
        gcc -DDEBUG -I.. -I../support -L../support -c ftpd.c
ftpd.c: In function `pass':
ftpd.c:1002: warning: assignment makes integer from pointer without a cast
ftpd.c:1153: warning: passing arg 1 of `setgroups' makes integer from pointer wt
ftpd.c: In function `opt_string':
ftpd.c:1226: warning: comparison between pointer and integer
ftpd.c:1228: warning: comparison between pointer and integer
ftpd.c:1230: warning: comparison between pointer and integer
ftpd.c: In function `retrieve':
ftpd.c:1342: warning: comparison between pointer and integer
        yacc  ftpcmd.y
        mv y.tab.c ftpcmd.c
        gcc -DDEBUG -I.. -I../support -L../support -c ftpcmd.c
ftpcmd.y: In function `yyparse':
ftpcmd.y:371: `cmdtab' undeclared (first use this function)
ftpcmd.y:371: (Each undeclared identifier is reported only once
ftpcmd.y:371: for each function it appears in.)
ftpcmd.y:383: `sitetab' undeclared (first use this function)
ftpcmd.y: At top level:
ftpcmd.y:885: `cmdtab' used prior to declaration
ftpcmd.y:936: `sitetab' used prior to declaration
ftpcmd.y:1520: warning: type mismatch with previous external decl
ftpcmd.y:683: warning: previous external decl of `print_groups'
ftpcmd.y:1520: warning: type mismatch with previous implicit declaration
ftpcmd.y:683: warning: previous implicit declaration of `print_groups'
ftpcmd.y:1520: warning: `print_groups' was previously implicitly declared to re'
make: 1254-004 The error code from the last command is 1.

Stop.
 
Making ftpcount.
        gcc -DDEBUG -I.. -I../support -L../support -o ftpcount ftpcount.c vers.t
ftpcount.c: In function `parsetime':
ftpcount.c:98: warning: comparison between pointer and integer
ftpcount.c:107: warning: comparison between pointer and integer
ftpcount.c: In function `acl_getlimit':
ftpcount.c:159: warning: comparison between pointer and integer
ftpcount.c:162: warning: assignment makes integer from pointer without a cast
ftpcount.c: In function `main':
ftpcount.c:307: warning: comparison between pointer and integer
ftpcount.c:310: warning: assignment makes integer from pointer without a cast
 
Making ftpshut.
        gcc -DDEBUG -I.. -I../support -L../support -o ftpshut ftpshut.c vers.o t
ftpshut.c: In function `main':
ftpshut.c:188: warning: comparison between pointer and integer
ftpshut.c:191: warning: assignment makes integer from pointer without a cast
 
Making ckconfig.
        gcc -DDEBUG -I.. -I../support -L../support -o ckconfig ckconfig.c
 
Links to executables are in bin directory:
size: 0654-304 Cannot open bin/ftpd.
bin/ftpcount: 6845 + 824 + 27 + 3197 + 2172 = 13065
bin/ftpshut: 5289 + 676 + 23 + 2352 + 2172 = 10512
bin/ftpwho: 6845 + 824 + 27 + 3197 + 2172 = 13065
bin/ckconfig: 3229 + 552 + 23 + 1663 + 2172 = 7639
Done

-----------------------------(build end)-------------------------------